> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/max-stake-response.md).

# Max Stake Response

<table><thead><tr><th width="114.609375" align="center">Destination</th><th width="54.75262451171875" align="center"></th><th width="115.19964599609375" align="center">Source</th></tr></thead><tbody><tr><td align="center"><strong>Client</strong></td><td align="center"><strong>←</strong></td><td align="center"><strong>MTS</strong></td></tr></tbody></table>

The Max stake response is returned to a [Max Stake Request](/transaction30api/api-description/ticket-json-format-description/max-stake-request.md) and contains the maximum stake that MTS will still accept for a given bet.

If a multi-bet ticket has been included in the request, only the first bet will be considered.

The only supported stake type is "cash".

**Envelope and Content table:**

The Envelope provides the content's (Max stake response) context and contains the following fields (besides Content):

* correlationId
* timestampUtc
* operation
* version

<table data-full-width="true"><thead><tr><th width="350.5572509765625">Example</th><th width="147.7447509765625">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>  "content": {
       .........
       .........
   },    
</code></pre></td><td>content</td><td>See Content object description below</td><td>M</td><td>Object</td></tr><tr><td><pre><code>  "correlationId": "21re09iwny",
</code></pre></td><td>correlationId</td><td>Same string as submitted by the client in the Max stake request</td><td>M</td><td>String</td></tr><tr><td><pre><code>  "timestampUtc":1732700793000,
</code></pre></td><td>timestampUtc</td><td>Timestamp of the response placement (Unix time in milliseconds format),<br>minimal: 1,<br>maximum: 9223372036854776000</td><td>M</td><td>Integer</td></tr><tr><td><pre><code>  "operation": "max-stake",
</code></pre></td><td>operation</td><td>Should be "max-stake" in the case of a Max stake response</td><td>M</td><td>String</td></tr><tr><td><pre><code>  "version": "3.0"
</code></pre></td><td>version</td><td>Indicates the ticket format version</td><td>M</td><td>String</td></tr><tr><td>}</td><td><br></td><td><br></td><td><br></td><td><br></td></tr></tbody></table>

### Content object (Max stake response) <a href="#mtsmaxstakeresponse-v3.0-contentcontentobject-maxstakeresponse" id="mtsmaxstakeresponse-v3.0-contentcontentobject-maxstakeresponse"></a>

The Content object includes the following fields:

* type
* bets
* code
* message<br>

**Please note** that in the case of major ticket errors or internal system errors, the content object has a different structure and contains "type": "error-reply" instead of "type": "max-stake-reply". For description, see [Error-reply Response](/transaction30api/api-description/ticket-json-format-description/error-reply-response.md).

**Content object table**

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="111.091064453125">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>  "content": {
</code></pre></td><td><br></td><td><br></td><td><br></td><td>Object</td></tr><tr><td><pre><code>      "type": "max-stake-reply",
</code></pre></td><td>type</td><td><p>Declaration of the content type, should be "max-stake-reply" in the case of a Max stake response</p><p>or "error-reply" in the case of major ticket errors or internal system errors (see also <a href="/pages/GY3OQHnyZI8vYXBbPRN4">Error-reply Response</a>).</p></td><td>M</td><td>String</td></tr><tr><td><pre><code>      "bets": [
           ......
           ......
       ],    
</code></pre></td><td>bets</td><td><p>Array of bets,<br>minimal number of bets per Max stake response = 1,<br>maximum number = 50</p><p>See description below</p></td><td>O</td><td>Array</td></tr><tr><td><pre><code>      "code": 0,
</code></pre></td><td>code</td><td>Max stake response code,<br>see the list of <a href="/pages/oNiQgEAqWI4RQnhMuOP8">validation codes</a></td><td>M</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>      "message": "Transaction processed"
 },
</code></pre></td><td>message</td><td>Readable Max stake response,<br>minimal string length = 1,<br>maximum string length = 128</td><td>O</td><td>String</td></tr></tbody></table>

### Bets array <a href="#mtsmaxstakeresponse-v3.0-betsbetsarray" id="mtsmaxstakeresponse-v3.0-betsbetsarray"></a>

The Bets array consists of the following fields. The array has the same syntax as the one contained in the Ticket Placement Request. The difference is that the stake here contains the max stake.

* betId
* context
* selections
* stake

\
**Bets array table:**

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="112.814208984375">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>    "bets": [
</code></pre></td><td>bets</td><td><p>Array of bets,<br>minimal number of bets per Max stake response = 1,<br>maximum number = 50.</p><p>If a multi-bet ticket has been included in the request, only the first bet will be considered.</p></td><td>O</td><td>Array</td></tr><tr><td><pre><code>      {
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre data-overflow="wrap"><code>        "betId": "Ticket_2052_bet0",
</code></pre></td><td>betId</td><td>Unique ticket bet id as contained in the Max stake request</td><td>O</td><td>String</td></tr><tr><td><pre><code>        "context": {
           .......
           .......
         },  
</code></pre></td><td>context</td><td><p>Bet context - additional information related to the bet</p><p>See the Bet context description on <a href="/pages/iBGo6Jm1mEi546boFmKx#mtsticketplacementrequest-v3.0-betsbetsarray">Ticket Placement Request</a> (Bets array).</p></td><td>O</td><td>Object</td></tr><tr><td><pre><code>        "selections": [
           .......
           .......
           ],
</code></pre></td><td>selections</td><td><p>Array of selections that have been included in the bet of the Max stake request, however included are only the last level selections (of "type": "uf" or "type": "external")</p><p><br></p></td><td>M</td><td>Array</td></tr><tr><td><pre><code>         "stake":   [
           .......
           .......
           ]
       }
    ],       
</code></pre></td><td>stake</td><td><p>The highest acceptable stake for a given bet.</p><p>If a multi-bet ticket has been included in the request, only the first bet will be considered.</p><p>The only supported stake type is "cash".</p><p>For syntax, see the Stake description on <a href="/pages/iBGo6Jm1mEi546boFmKx#mtsticketplacementrequest-v3.0-betsbetsarray">Ticket Placement Request</a> (Bets array).</p></td><td>M</td><td>Array</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/max-stake-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
